import { EditorModule } from ".";
import { DesignTemp } from "./objects/DesignTemp";
import { ICompKeys } from "./typings";

export const actions = EditorModule.action({
  initData(tempData: DesignTemp) {
    this.store.initDesignData(tempData);
  },
  switchEditMode(v: string) {
    this.store.setEditMode(v);
  },
  addCompToDesign(compKey: ICompKeys) {
    const designComp = this.store.insertDesignContent(compKey);
    this.actions.pickCurrComp(designComp.id);
  },
  pickCurrComp(compId: string) {
    if (compId === this.store.currCompId) return;
    this.store.setCurrComp(compId);
  },
});
