import { useEditor } from "@/modules/editor";
import { defineComponent } from "vue";
import { string } from "vue-types";
import { View } from "./View";

export const Text = defineComponent({
  props: {
    value: string().def("请输入文本"),
  },
  emits: ["update:value"],
  setup(props) {
    const { store } = useEditor();
    return () => (
      <View>
        <div contenteditable={store.editMode === "edit"}>{props.value}</div>
      </View>
    );
  },
});
