import { useEditor } from "@/modules/editor";
import { defineUI } from "queenjs";

export default defineUI({
  setup() {
    const editor = useEditor();
    const { store, components } = editor;
    return () => (
      <div class="h-1/1 text-center">
        <div
          class="inline-block w-375px h-750px overflow-y-auto scrollbar"
          style={store.designData.pageStyle}
        >
          {store.designData.content.map((d) => {
            const Comp = components.CompUI[d.compKey];
            return (
              <Comp
                data-id={d.id}
                {...(d.props || {})}
                style={d.style}
                v-model={[d.value, "value"]}
              />
            );
          })}
        </div>
      </div>
    );
  },
});
