import { ModuleRoot } from "queenjs";
import { actions } from "./actions";
import components from "./components";
import config from "./config";
import { store } from "./store";

export class EditorModule extends ModuleRoot {
  config = this.setConfig(config);

  actions = this.createActions(actions);
  store = this.createStore(store);

  components = this.useComponents(components);
}

export const { useEditor, initEditor } = EditorModule.hook("Editor");
